# Add Remark

This endpoint provided adding third party remarks to the given PNR.

Endpoint: POST /v3/trips/{tripId}/pnrs/{pnrId}/remarks
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `tripId` (string, required)
    Trip ID

  - `pnrId` (string, required)
    PNR ID

## Request fields (application/json):

  - `remarks` (array, required)
    The list of remarks to be added to the give PNR.

  - `remarks.sabre` (object)
    Sabre Remark

  - `remarks.sabre.type` (string)
    Type of remark, for eg, General, Invoice, etc.
    Enum: "ALPHA_CODED", "CLIENT_ADDRESS", "CORPORATE", "DELIVERY_ADDRESS", "GENERAL", "GROUP_NAME", "HIDDEN", "HISTORICAL", "INVOICE", "ITINERARY", "OSI"

  - `remarks.sabre.text` (string)
    ThirdPartyPnrRemark
    Example: PREF ALLIANCES 1-ONE WORLD/AA

  - `remarks.sabre.legIndex` (integer)
    Index referencing the flight leg for which the remark should be added. Currently required only for OSI Remarks. Should be used in conjunction with the flight Index.
    Example: 1

  - `remarks.sabre.flightIndex` (integer)
    Index referencing the flight for which the remark should be added. Currently required only for OSI Remarks. Should be used in conjunction with the leg Index.
    Example: 0

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `processedRemarks` (array)
    The list of remarks added to the given PNR.

  - `processedRemarks.sabre` (object)
    Sabre Remark

  - `processedRemarks.sabre.type` (string)
    Type of remark, for eg, General, Invoice, etc.
    Enum: "ALPHA_CODED", "CLIENT_ADDRESS", "CORPORATE", "DELIVERY_ADDRESS", "GENERAL", "GROUP_NAME", "HIDDEN", "HISTORICAL", "INVOICE", "ITINERARY", "OSI"

  - `processedRemarks.sabre.text` (string)
    ThirdPartyPnrRemark
    Example: PREF ALLIANCES 1-ONE WORLD/AA

  - `processedRemarks.sabre.legIndex` (integer)
    Index referencing the flight leg for which the remark should be added. Currently required only for OSI Remarks. Should be used in conjunction with the flight Index.
    Example: 1

  - `processedRemarks.sabre.flightIndex` (integer)
    Index referencing the flight for which the remark should be added. Currently required only for OSI Remarks. Should be used in conjunction with the leg Index.
    Example: 0

  - `ignoredRemarks` (array)
    The list of remarks ignored.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

